Description: Template to create IAM role to be used by the applications

Parameters: # Variables that can be referred in the Resource Section
  EnvironmentName: # The Parameters cannot be a dynamic one like this !Join ['', [!Ref "AWS::StackName", "-VPC" ]] so, not using this parm to calculate the variable name
    Description: Some Name
    Type: String
    Default: None

Resources:
  # CLI Command, windows: aws cloudformation create-stack --stack-name blabl<nameofStack> --template-body file://createEC2.yml --region eu-west-1
  IAMRole:
    Type: AWS::EC2::Role
    Properties:
      AssumeRolePolicyDocument:
        Version: "2012-10-17"
        Statement:
          - Effect: Allow
            Principal:
              Service:
                - ec2.amazonaws.com
            Action:
              - 'sts:AssumeRole'
      Path: /
      Policies:
        - PolicyName: root
          PolicyDocument:
            Version: "2012-10-17"
            Statement:
              - Effect: Allow
                Action: '*'
                Resource: '*'
    RootInstanceProfile:
    Type: 'AWS::IAM::InstanceProfile'
    Properties:
      Path: /
      Roles:
        - !Ref IAMRole
      Tags:
      - Key: Name
        Value:  !Join ['', [!Ref "AWS::StackName", "-VPC" ]]